var debugConsole = jQuery('#debugConsole'),
	debugConsoleContent = jQuery('#debugConsoleContent'),
	
	// OBS.: URL testes navegador = https://admin.hashtagtv.com.br/enplug-apps/dev-wysiwyg-tool/player
	allowBrowserNavigation = false,
	showDebugConsole = false,
	stringifyDebugObjects = true,
	fadeOutDebugConsole = false,
	stopCarousel = false,
	fadeOutDebugConsoleDelay = 10000,
	debugLineNumber = 1,
	azul = '#42f4f4',
	amarelo = '#f4f442',
	vermelho = '#FF3F3F',
	enplugAssetMock = {
		AcceptedUseTerms:true,
		Name:'Debug only',
		
		//OBS.: APP_FOLDER está setado no "<app root>/player/env.js"
		proxyURL:'https://admin.hashtagtv.com.br/enplug-apps/' + APP_FOLDER,

		/**
		* IMPORTANTE: O conteúdo HTML tem que ficar entre aspas e usar apóstrofos "internamente" ou não irá funcionar!!!
		*/
		HtmlContent:"<!doctype html><html><head><meta charset='utf-8'><meta http-equiv='x-ua-compatible' content='ie=edge'><title>debug countdown</title><meta name='viewport' content='width=device-width, initial-scale=1'><style type='text/css'>.test-class{position:absolute;top:50%;left:0;width:100%;font-size:2.5em;text-align:center;transform:translateY(-50%);}</style></head><body><div id='myPage'></div><script src='//code.jquery.com/jquery-1.12.4.min.js'></script><script>jQuery(document).ready(function(){var countDownDate = new Date('2017-12-25 00:00:00'),myPage = jQuery('#myPage'),ticker = setInterval(updateCountdown, 1000);updateCountdown();function updateCountdown(){var now = new Date().getTime(),distance = countDownDate.getTime() - now,days = Math.floor(distance / (1000 * 60 * 60 * 24)),hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60)),minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60)),seconds = Math.floor((distance % (1000 * 60)) / 1000),dd = countDownDate.getDate() < 10 ? '0' + countDownDate.getDate() : countDownDate.getDate(),mm = countDownDate.getMonth() + 1,yyyy = countDownDate.getFullYear();var output = '<h1 class=\"test-class\">';if(distance <= 0){clearInterval(ticker);output += 'Hoje é dia ' + dd + '/' + mm + '/' + yyyy;}else{output += 'Faltam ' + days + ' dias, ' + hours + ', horas, ' + minutes + ', minutos e ' + seconds + ' segundos para o dia ' + dd + '/' + mm + '/' + yyyy;}output += '</h1>';myPage.html(output);}});</script></body></html>"
	};

if(allowBrowserNavigation){
    /**
    * IMPORTANTE: Se a "_epBridge" for setada aqui o navegador funcionará e o 
    *   emulador do Windows não e vice-versa!!! Para o player real não faz diferença!
    */
    window._epBridge = {
        send:function(msg){
            console.log(msg);
        }
    };
}

function updateDebugLog(txtMessage, jsonObject, txtColor, objColor){
    txtMessage = (typeof txtMessage != 'undefined' && txtMessage != '') ? txtMessage : '';
    jsonObject = (typeof jsonObject != 'undefined' && jsonObject !== null) ? jsonObject : null;
    txtColor = (typeof txtColor != 'undefined' && txtColor != '') ? txtColor : 'lime';//verde do DOS o/
    objColor = (typeof objColor != 'undefined' && objColor != '') ? objColor : 'white';

    if(txtMessage != ''){
        debugConsoleContent.prepend('<span style="color:' + txtColor + ';">[ #TV ' + debugLineNumber + ']: ' + txtMessage + '</span><br />');
        debugLineNumber += 1;
    }

    if(stringifyDebugObjects && jsonObject){
        debugConsoleContent.prepend('<span style="color:' + objColor + ';">[ #TV ' + debugLineNumber + ']: ' + JSON.stringify(jsonObject, null, '\t\t') + '</span><br />');
        debugLineNumber += 1;
    }
    
    // Console do navegador se disponivel
    if(console){
        console.log('txtMessage');
        console.dir(txtMessage);
        console.log('jsonObject');
        console.dir(jsonObject);
        console.log('txtColor');
        console.dir(txtColor);
        console.log('objColor');
        console.dir(objColor);
    }
}

function showTimeStamp(){
    var d = new Date(),
            h = (d.getHours() < 10) ? '0' + d.getHours() : d.getHours(),
            m = (d.getMinutes() < 10) ? '0' + d.getMinutes() : d.getMinutes(),
            s = (d.getSeconds() < 10) ? '0' + d.getSeconds() : d.getSeconds();

    return h + ":" + m + ":" + s;
}